/******************************************************************************
 * File Name   : MX_Device.h
 * Date        : 12/01/2018 13:58:21
 * Description : STM32Cube MX parameter definitions
 * Note        : This file is generated by STM32CubeMX (DO NOT EDIT!)
 ******************************************************************************/

#ifndef __MX_DEVICE_H
#define __MX_DEVICE_H

/*---------------------------- Clock Configuration ---------------------------*/

#define MX_LSI_VALUE                            40000
#define MX_LSE_VALUE                            32768
#define MX_HSI_VALUE                            8000000
#define MX_HSE_VALUE                            8000000
#define MX_PLLCLKFreq_Value                     72000000
#define MX_SYSCLKFreq_VALUE                     72000000
#define MX_HCLKFreq_Value                       72000000
#define MX_HSIPLLFreq_Value                     4000000
#define MX_HSEPLLFreq_Value                     8000000
#define MX_MCOFreq_Value                        72000000
#define MX_CortexFreq_Value                     72000000
#define MX_AHBFreq_Value                        72000000
#define MX_APB1Freq_Value                       36000000
#define MX_APB2Freq_Value                       72000000
#define MX_APB1TimFreq_Value                    72000000
#define MX_APB2TimFreq_Value                    72000000
#define MX_I2C1Freq_Value                       8000000
#define MX_I2C2Freq_Value                       8000000
#define MX_USART1Freq_Value                     72000000
#define MX_USART2Freq_Value                     36000000
#define MX_USART3Freq_Value                     36000000
#define MX_RTCFreq_Value                        40000
#define MX_RTCHSEDivFreq_Value                  250000
#define MX_USBFreq_Value                        72000000
#define MX_WatchDogFreq_Value                   40000

/*-------------------------------- CAN        --------------------------------*/

#define MX_CAN                                  1

/* GPIO Configuration */

/* Pin PD0 */
#define MX_CAN_RX_GPIO_Speed                    GPIO_SPEED_FREQ_HIGH
#define MX_CAN_RX_Pin                           PD0
#define MX_CAN_RX_GPIOx                         GPIOD
#define MX_CAN_RX_GPIO_PuPd                     GPIO_NOPULL
#define MX_CAN_RX_GPIO_Pin                      GPIO_PIN_0
#define MX_CAN_RX_GPIO_AF                       GPIO_AF7_CAN
#define MX_CAN_RX_GPIO_Mode                     GPIO_MODE_AF_PP

/* Pin PD1 */
#define MX_CAN_TX_GPIO_Speed                    GPIO_SPEED_FREQ_HIGH
#define MX_CAN_TX_Pin                           PD1
#define MX_CAN_TX_GPIOx                         GPIOD
#define MX_CAN_TX_GPIO_PuPd                     GPIO_NOPULL
#define MX_CAN_TX_GPIO_Pin                      GPIO_PIN_1
#define MX_CAN_TX_GPIO_AF                       GPIO_AF7_CAN
#define MX_CAN_TX_GPIO_Mode                     GPIO_MODE_AF_PP

/*-------------------------------- SPI2       --------------------------------*/

#define MX_SPI2                                 1

/* GPIO Configuration */

/* Pin PF9 */
#define MX_SPI2_SCK_GPIO_Speed                  GPIO_SPEED_FREQ_HIGH
#define MX_SPI2_SCK_Pin                         PF9
#define MX_SPI2_SCK_GPIOx                       GPIOF
#define MX_SPI2_SCK_GPIO_PuPd                   GPIO_NOPULL
#define MX_SPI2_SCK_GPIO_Pin                    GPIO_PIN_9
#define MX_SPI2_SCK_GPIO_AF                     GPIO_AF5_SPI2
#define MX_SPI2_SCK_GPIO_Mode                   GPIO_MODE_AF_PP

/* Pin PB14 */
#define MX_SPI2_MISO_GPIO_Speed                 GPIO_SPEED_FREQ_HIGH
#define MX_SPI2_MISO_Pin                        PB14
#define MX_SPI2_MISO_GPIOx                      GPIOB
#define MX_SPI2_MISO_GPIO_PuPd                  GPIO_NOPULL
#define MX_SPI2_MISO_GPIO_Pin                   GPIO_PIN_14
#define MX_SPI2_MISO_GPIO_AF                    GPIO_AF5_SPI2
#define MX_SPI2_MISO_GPIO_Mode                  GPIO_MODE_AF_PP

/* Pin PB15 */
#define MX_SPI2_MOSI_GPIO_Speed                 GPIO_SPEED_FREQ_HIGH
#define MX_SPI2_MOSI_Pin                        PB15
#define MX_SPI2_MOSI_GPIOx                      GPIOB
#define MX_SPI2_MOSI_GPIO_PuPd                  GPIO_NOPULL
#define MX_SPI2_MOSI_GPIO_Pin                   GPIO_PIN_15
#define MX_SPI2_MOSI_GPIO_AF                    GPIO_AF5_SPI2
#define MX_SPI2_MOSI_GPIO_Mode                  GPIO_MODE_AF_PP

/* NVIC Configuration */

/* NVIC SPI2_IRQn */
#define MX_SPI2_IRQn_interruptPremptionPriority 0
#define MX_SPI2_IRQn_PriorityGroup              NVIC_PRIORITYGROUP_4
#define MX_SPI2_IRQn_Subriority                 0

/*-------------------------------- SYS        --------------------------------*/

#define MX_SYS                                  1

/* GPIO Configuration */

/*-------------------------------- NVIC       --------------------------------*/

#define MX_NVIC                                 1

/*-------------------------------- GPIO       --------------------------------*/

#define MX_GPIO                                 1

/* GPIO Configuration */

/* Pin PE0 */
#define MX_PE0_GPIO_Speed                       GPIO_SPEED_FREQ_LOW
#define MX_PE0_Pin                              PE0
#define MX_PE0_GPIOx                            GPIOE
#define MX_PE0_PinState                         GPIO_PIN_SET
#define MX_PE0_GPIO_PuPd                        GPIO_NOPULL
#define MX_PE0_GPIO_Pin                         GPIO_PIN_0
#define MX_PE0_GPIO_ModeDefaultOutputPP         GPIO_MODE_OUTPUT_PP

/* Pin PE14 */
#define MX_PE14_GPIO_Speed                      GPIO_SPEED_FREQ_LOW
#define MX_PE14_Pin                             PE14
#define MX_PE14_GPIOx                           GPIOE
#define MX_PE14_PinState                        GPIO_PIN_SET
#define MX_PE14_GPIO_PuPd                       GPIO_NOPULL
#define MX_PE14_GPIO_Pin                        GPIO_PIN_14
#define MX_PE14_GPIO_ModeDefaultOutputPP        GPIO_MODE_OUTPUT_PP

#endif  /* __MX_DEVICE_H */
