/******************************************************************************
 * File Name   : MX_Device.h
 * Date        : 12/01/2018 14:08:35
 * Description : STM32Cube MX parameter definitions
 * Note        : This file is generated by STM32CubeMX (DO NOT EDIT!)
 ******************************************************************************/

#ifndef __MX_DEVICE_H
#define __MX_DEVICE_H

/*---------------------------- Clock Configuration ---------------------------*/

#define MX_LSI_VALUE                            40000
#define MX_LSE_VALUE                            32768
#define MX_HSI_VALUE                            8000000
#define MX_HSE_VALUE                            8000000
#define MX_PLLCLKFreq_Value                     72000000
#define MX_SYSCLKFreq_VALUE                     72000000
#define MX_HCLKFreq_Value                       72000000
#define MX_HSIPLLFreq_Value                     4000000
#define MX_HSEPLLFreq_Value                     8000000
#define MX_MCOFreq_Value                        72000000
#define MX_CortexFreq_Value                     72000000
#define MX_AHBFreq_Value                        72000000
#define MX_APB1Freq_Value                       36000000
#define MX_APB2Freq_Value                       72000000
#define MX_APB1TimFreq_Value                    72000000
#define MX_APB2TimFreq_Value                    72000000
#define MX_I2C1Freq_Value                       8000000
#define MX_I2C2Freq_Value                       8000000
#define MX_USART1Freq_Value                     72000000
#define MX_USART2Freq_Value                     36000000
#define MX_USART3Freq_Value                     36000000
#define MX_RTCFreq_Value                        40000
#define MX_RTCHSEDivFreq_Value                  250000
#define MX_USBFreq_Value                        48000000
#define MX_WatchDogFreq_Value                   40000

/*-------------------------------- DMA        --------------------------------*/

#define MX_DMA                                  1

/* NVIC Configuration */

/* NVIC DMA1_Channel5_IRQn */
#define MX_DMA1_Channel5_IRQn_interruptPremptionPriority 0
#define MX_DMA1_Channel5_IRQn_PriorityGroup     NVIC_PRIORITYGROUP_4
#define MX_DMA1_Channel5_IRQn_Subriority        0

/* NVIC DMA1_Channel4_IRQn */
#define MX_DMA1_Channel4_IRQn_interruptPremptionPriority 0
#define MX_DMA1_Channel4_IRQn_PriorityGroup     NVIC_PRIORITYGROUP_4
#define MX_DMA1_Channel4_IRQn_Subriority        0

/*-------------------------------- SPI2       --------------------------------*/

#define MX_SPI2                                 1

/* GPIO Configuration */

/* Pin PF9 */
#define MX_SPI2_SCK_GPIO_Speed                  GPIO_SPEED_FREQ_HIGH
#define MX_SPI2_SCK_Pin                         PF9
#define MX_SPI2_SCK_GPIOx                       GPIOF
#define MX_SPI2_SCK_GPIO_PuPd                   GPIO_NOPULL
#define MX_SPI2_SCK_GPIO_Pin                    GPIO_PIN_9
#define MX_SPI2_SCK_GPIO_AF                     GPIO_AF5_SPI2
#define MX_SPI2_SCK_GPIO_Mode                   GPIO_MODE_AF_PP

/* Pin PB14 */
#define MX_SPI2_MISO_GPIO_Speed                 GPIO_SPEED_FREQ_HIGH
#define MX_SPI2_MISO_Pin                        PB14
#define MX_SPI2_MISO_GPIOx                      GPIOB
#define MX_SPI2_MISO_GPIO_PuPd                  GPIO_NOPULL
#define MX_SPI2_MISO_GPIO_Pin                   GPIO_PIN_14
#define MX_SPI2_MISO_GPIO_AF                    GPIO_AF5_SPI2
#define MX_SPI2_MISO_GPIO_Mode                  GPIO_MODE_AF_PP

/* Pin PB15 */
#define MX_SPI2_MOSI_GPIO_Speed                 GPIO_SPEED_FREQ_HIGH
#define MX_SPI2_MOSI_Pin                        PB15
#define MX_SPI2_MOSI_GPIOx                      GPIOB
#define MX_SPI2_MOSI_GPIO_PuPd                  GPIO_NOPULL
#define MX_SPI2_MOSI_GPIO_Pin                   GPIO_PIN_15
#define MX_SPI2_MOSI_GPIO_AF                    GPIO_AF5_SPI2
#define MX_SPI2_MOSI_GPIO_Mode                  GPIO_MODE_AF_PP

/* DMA Configuration */

/* DMA SPI2_TX */
#define MX_SPI2_TX_DMA_DMA_Handle               
#define MX_SPI2_TX_DMA_Instance                 DMA1_Channel5
#define MX_SPI2_TX_DMA_NoTestForDmaSupport      false
#define MX_SPI2_TX_DMA_Priority                 DMA_PRIORITY_LOW
#define MX_SPI2_TX_DMA_PeriphDataAlignment      DMA_PDATAALIGN_BYTE
#define MX_SPI2_TX_DMA_MemDataAlignment         DMA_MDATAALIGN_BYTE
#define MX_SPI2_TX_DMA_Mode                     DMA_NORMAL
#define MX_SPI2_TX_DMA_Direction                DMA_MEMORY_TO_PERIPH
#define MX_SPI2_TX_DMA_PeriphInc                DMA_PINC_DISABLE
#define MX_SPI2_TX_DMA_MemInc                   DMA_MINC_ENABLE
#define MX_SPI2_TX_DMA_IpInstance               

/* DMA SPI2_RX */
#define MX_SPI2_RX_DMA_DMA_Handle               
#define MX_SPI2_RX_DMA_Instance                 DMA1_Channel4
#define MX_SPI2_RX_DMA_NoTestForDmaSupport      false
#define MX_SPI2_RX_DMA_Priority                 DMA_PRIORITY_LOW
#define MX_SPI2_RX_DMA_PeriphDataAlignment      DMA_PDATAALIGN_BYTE
#define MX_SPI2_RX_DMA_MemDataAlignment         DMA_MDATAALIGN_BYTE
#define MX_SPI2_RX_DMA_Mode                     DMA_NORMAL
#define MX_SPI2_RX_DMA_Direction                DMA_PERIPH_TO_MEMORY
#define MX_SPI2_RX_DMA_PeriphInc                DMA_PINC_DISABLE
#define MX_SPI2_RX_DMA_MemInc                   DMA_MINC_ENABLE
#define MX_SPI2_RX_DMA_IpInstance               

/* NVIC Configuration */

/* NVIC SPI2_IRQn */
#define MX_SPI2_IRQn_interruptPremptionPriority 0
#define MX_SPI2_IRQn_PriorityGroup              NVIC_PRIORITYGROUP_4
#define MX_SPI2_IRQn_Subriority                 0

/*-------------------------------- SYS        --------------------------------*/

#define MX_SYS                                  1

/* GPIO Configuration */

/*-------------------------------- USB        --------------------------------*/

#define MX_USB                                  1

/* GPIO Configuration */

/* Pin PA11 */
#define MX_USB_DM_Pin                           PA11

/* Pin PA12 */
#define MX_USB_DP_Pin                           PA12

/* NVIC Configuration */

/* NVIC USB_HP_CAN_TX_IRQn */
#define MX_USB_HP_CAN_TX_IRQn_interruptPremptionPriority 0
#define MX_USB_HP_CAN_TX_IRQn_PriorityGroup     NVIC_PRIORITYGROUP_4
#define MX_USB_HP_CAN_TX_IRQn_Subriority        0

/* NVIC USB_LP_CAN_RX0_IRQn */
#define MX_USB_LP_CAN_RX0_IRQn_interruptPremptionPriority 0
#define MX_USB_LP_CAN_RX0_IRQn_PriorityGroup    NVIC_PRIORITYGROUP_4
#define MX_USB_LP_CAN_RX0_IRQn_Subriority       0

/*-------------------------------- NVIC       --------------------------------*/

#define MX_NVIC                                 1

/*-------------------------------- GPIO       --------------------------------*/

#define MX_GPIO                                 1

/* GPIO Configuration */

/* Pin PC6 */
#define MX_PC6_Pin                              PC6
#define MX_PC6_GPIOx                            GPIOC
#define MX_PC6_GPIO_PuPd                        GPIO_NOPULL
#define MX_PC6_GPIO_Pin                         GPIO_PIN_6
#define MX_PC6_GPIO_Mode                        GPIO_MODE_INPUT

/* Pin PB8 */
#define MX_PB8_GPIO_Speed                       GPIO_SPEED_FREQ_LOW
#define MX_PB8_Pin                              PB8
#define MX_PB8_GPIOx                            GPIOB
#define MX_PB8_PinState                         GPIO_PIN_SET
#define MX_PB8_GPIO_PuPd                        GPIO_NOPULL
#define MX_PB8_GPIO_Pin                         GPIO_PIN_8
#define MX_PB8_GPIO_ModeDefaultOutputPP         GPIO_MODE_OUTPUT_OD
#define MX_PB8_GPIO_FM8                         __NULL

/* Pin PE15 */
#define MX_PE15_GPIO_Speed                      GPIO_SPEED_FREQ_LOW
#define MX_PE15_Pin                             PE15
#define MX_PE15_GPIOx                           GPIOE
#define MX_PE15_PinState                        GPIO_PIN_SET
#define MX_PE15_GPIO_PuPd                       GPIO_NOPULL
#define MX_PE15_GPIO_Pin                        GPIO_PIN_15
#define MX_PE15_GPIO_ModeDefaultOutputPP        GPIO_MODE_OUTPUT_OD

/* Pin PE14 */
#define MX_PE14_GPIO_Speed                      GPIO_SPEED_FREQ_LOW
#define MX_PE14_Pin                             PE14
#define MX_PE14_GPIOx                           GPIOE
#define MX_PE14_PinState                        GPIO_PIN_SET
#define MX_PE14_GPIO_PuPd                       GPIO_NOPULL
#define MX_PE14_GPIO_Pin                        GPIO_PIN_14
#define MX_PE14_GPIO_ModeDefaultOutputPP        GPIO_MODE_OUTPUT_OD

#endif  /* __MX_DEVICE_H */
