/******************************************************************************
 * File Name   : MX_Device.h
 * Date        : 12/01/2018 14:22:06
 * Description : STM32Cube MX parameter definitions
 * Note        : This file is generated by STM32CubeMX (DO NOT EDIT!)
 ******************************************************************************/

#ifndef __MX_DEVICE_H
#define __MX_DEVICE_H

/*---------------------------- Clock Configuration ---------------------------*/

#define MX_LSI_VALUE                            40000
#define MX_LSE_VALUE                            32768
#define MX_HSI_VALUE                            8000000
#define MX_HSE_VALUE                            8000000
#define MX_PLLCLKFreq_Value                     72000000
#define MX_SYSCLKFreq_VALUE                     72000000
#define MX_HCLKFreq_Value                       72000000
#define MX_HSIPLLFreq_Value                     4000000
#define MX_HSEPLLFreq_Value                     8000000
#define MX_MCOFreq_Value                        72000000
#define MX_CortexFreq_Value                     72000000
#define MX_AHBFreq_Value                        72000000
#define MX_APB1Freq_Value                       36000000
#define MX_APB2Freq_Value                       72000000
#define MX_APB1TimFreq_Value                    72000000
#define MX_APB2TimFreq_Value                    72000000
#define MX_ADCoutputFreq_Value                  36000000
#define MX_CECFreq_Value                        32786
#define MX_I2C1Freq_Value                       8000000
#define MX_I2C2Freq_Value                       8000000
#define MX_SDADCoutputFreq_Value                36000000
#define MX_USART1Freq_Value                     72000000
#define MX_USART2Freq_Value                     36000000
#define MX_USART3Freq_Value                     36000000
#define MX_RTCFreq_Value                        40000
#define MX_RTCHSEDivFreq_Value                  250000
#define MX_USBFreq_Value                        72000000
#define MX_WatchDogFreq_Value                   40000

/*-------------------------------- DMA        --------------------------------*/

#define MX_DMA                                  1

/* NVIC Configuration */

/* NVIC DMA2_Channel2_IRQn */
#define MX_DMA2_Channel2_IRQn_interruptPremptionPriority 0
#define MX_DMA2_Channel2_IRQn_PriorityGroup     NVIC_PRIORITYGROUP_4
#define MX_DMA2_Channel2_IRQn_Subriority        0

/* NVIC DMA2_Channel1_IRQn */
#define MX_DMA2_Channel1_IRQn_interruptPremptionPriority 0
#define MX_DMA2_Channel1_IRQn_PriorityGroup     NVIC_PRIORITYGROUP_4
#define MX_DMA2_Channel1_IRQn_Subriority        0

/*-------------------------------- SPI3       --------------------------------*/

#define MX_SPI3                                 1

/* GPIO Configuration */

/* Pin PC10 */
#define MX_SPI3_SCK_GPIO_Speed                  GPIO_SPEED_FREQ_HIGH
#define MX_SPI3_SCK_Pin                         PC10
#define MX_SPI3_SCK_GPIOx                       GPIOC
#define MX_SPI3_SCK_GPIO_PuPd                   GPIO_NOPULL
#define MX_SPI3_SCK_GPIO_Pin                    GPIO_PIN_10
#define MX_SPI3_SCK_GPIO_AF                     GPIO_AF6_SPI3
#define MX_SPI3_SCK_GPIO_Mode                   GPIO_MODE_AF_PP

/* Pin PC11 */
#define MX_SPI3_MISO_GPIO_Speed                 GPIO_SPEED_FREQ_HIGH
#define MX_SPI3_MISO_Pin                        PC11
#define MX_SPI3_MISO_GPIOx                      GPIOC
#define MX_SPI3_MISO_GPIO_PuPd                  GPIO_NOPULL
#define MX_SPI3_MISO_GPIO_Pin                   GPIO_PIN_11
#define MX_SPI3_MISO_GPIO_AF                    GPIO_AF6_SPI3
#define MX_SPI3_MISO_GPIO_Mode                  GPIO_MODE_AF_PP

/* Pin PC12 */
#define MX_SPI3_MOSI_GPIO_Speed                 GPIO_SPEED_FREQ_HIGH
#define MX_SPI3_MOSI_Pin                        PC12
#define MX_SPI3_MOSI_GPIOx                      GPIOC
#define MX_SPI3_MOSI_GPIO_PuPd                  GPIO_NOPULL
#define MX_SPI3_MOSI_GPIO_Pin                   GPIO_PIN_12
#define MX_SPI3_MOSI_GPIO_AF                    GPIO_AF6_SPI3
#define MX_SPI3_MOSI_GPIO_Mode                  GPIO_MODE_AF_PP

/* DMA Configuration */

/* DMA SPI3_RX */
#define MX_SPI3_RX_DMA_DMA_Handle               
#define MX_SPI3_RX_DMA_Instance                 DMA2_Channel1
#define MX_SPI3_RX_DMA_Priority                 DMA_PRIORITY_LOW
#define MX_SPI3_RX_DMA_PeriphDataAlignment      DMA_PDATAALIGN_BYTE
#define MX_SPI3_RX_DMA_MemDataAlignment         DMA_MDATAALIGN_BYTE
#define MX_SPI3_RX_DMA_Mode                     DMA_NORMAL
#define MX_SPI3_RX_DMA_Direction                DMA_PERIPH_TO_MEMORY
#define MX_SPI3_RX_DMA_PeriphInc                DMA_PINC_DISABLE
#define MX_SPI3_RX_DMA_MemInc                   DMA_MINC_ENABLE
#define MX_SPI3_RX_DMA_IpInstance               

/* DMA SPI3_TX */
#define MX_SPI3_TX_DMA_DMA_Handle               
#define MX_SPI3_TX_DMA_Instance                 DMA2_Channel2
#define MX_SPI3_TX_DMA_Priority                 DMA_PRIORITY_LOW
#define MX_SPI3_TX_DMA_PeriphDataAlignment      DMA_PDATAALIGN_BYTE
#define MX_SPI3_TX_DMA_MemDataAlignment         DMA_MDATAALIGN_BYTE
#define MX_SPI3_TX_DMA_Mode                     DMA_NORMAL
#define MX_SPI3_TX_DMA_Direction                DMA_MEMORY_TO_PERIPH
#define MX_SPI3_TX_DMA_PeriphInc                DMA_PINC_DISABLE
#define MX_SPI3_TX_DMA_MemInc                   DMA_MINC_ENABLE
#define MX_SPI3_TX_DMA_IpInstance               

/* NVIC Configuration */

/* NVIC SPI3_IRQn */
#define MX_SPI3_IRQn_interruptPremptionPriority 0
#define MX_SPI3_IRQn_PriorityGroup              NVIC_PRIORITYGROUP_4
#define MX_SPI3_IRQn_Subriority                 0

/*-------------------------------- SYS        --------------------------------*/

#define MX_SYS                                  1

/* GPIO Configuration */

/*-------------------------------- NVIC       --------------------------------*/

#define MX_NVIC                                 1

/*-------------------------------- GPIO       --------------------------------*/

#define MX_GPIO                                 1

/* GPIO Configuration */

/* Pin PE2 */
#define MX_PE2_GPIO_Speed                       GPIO_SPEED_FREQ_LOW
#define MX_PE2_Pin                              PE2
#define MX_PE2_GPIOx                            GPIOE
#define MX_PE2_PinState                         GPIO_PIN_SET
#define MX_PE2_GPIO_PuPd                        GPIO_PULLUP
#define MX_PE2_GPIO_Pin                         GPIO_PIN_2
#define MX_PE2_GPIO_ModeDefaultOutputPP         GPIO_MODE_OUTPUT_PP

/* Pin PE3 */
#define MX_PE3_Pin                              PE3
#define MX_PE3_GPIOx                            GPIOE
#define MX_PE3_GPIO_PuPd                        GPIO_NOPULL
#define MX_PE3_GPIO_Pin                         GPIO_PIN_3
#define MX_PE3_GPIO_Mode                        GPIO_MODE_INPUT

#endif  /* __MX_DEVICE_H */
