[#ftl]
[#list configs as dt]
[#assign data = dt]
[#assign usedIPs = dt.usedIPs]
[#assign peripheralParams = dt.peripheralParams]
[#assign peripheralGPIOParams = dt.peripheralGPIOParams]
[#assign peripheralDMAParams = dt.peripheralDMAParams]
[#assign peripheralNVICParams = dt.peripheralNVICParams]
[#assign stm32f302x8_devices = ["STM32F302C6", "STM32F302C8", "STM32F302K6", "STM32F302K8", "STM32F302R6", "STM32F302R8"]]
[#assign stm32f302xc_devices = ["STM32F302CB", "STM32F302CC", "STM32F302RB", "STM32F302RC", "STM32F302VB", "STM32F302VC"]]
[#assign stm32f302xe_devices = ["STM32F302RD", "STM32F302RE", "STM32F302VD", "STM32F302VE", "STM32F302ZD", "STM32F302ZE"]]
[#assign stm32f303x8_devices = ["STM32F303C6", "STM32F303C8", "STM32F303K6", "STM32F303K8", "STM32F303R6", "STM32F303R8"]]
[#assign stm32f303xc_devices = ["STM32F303CB", "STM32F303CC", "STM32F303RB", "STM32F303RC", "STM32F303VB", "STM32F303VC"]]
[#assign stm32f303xe_devices = ["STM32F303RD", "STM32F303RE", "STM32F303VD", "STM32F303VE", "STM32F303ZD", "STM32F303ZE"]]
[#assign deviceFamily="${dt.family}xx"]
[#assign tmpName= "STM32F3"+"${dt.device[7]}"+"${dt.device[8]}"+"${dt.device[9]}"+"${dt.device[10]}"]
[#if     tmpName?starts_with("STM32F301")]
[#assign startupFile = "startup_stm32f301x8.s"]
[#elseif  tmpName?starts_with("STM32F302")]
  [#if     stm32f302x8_devices?seq_contains(tmpName)]
    [#assign startupFile = "startup_stm32f302x8.s"]
  [#elseif stm32f302xc_devices?seq_contains(tmpName)]
    [#assign startupFile = "startup_stm32f302xc.s"]
  [#elseif stm32f302xe_devices?seq_contains(tmpName)]
    [#assign startupFile = "startup_stm32f302xe.s"]
  [/#if]
[#elseif  tmpName?starts_with("STM32F303")]
  [#if     stm32f303x8_devices?seq_contains(tmpName)]
    [#assign startupFile = "startup_stm32f303x8.s"]
  [#elseif stm32f303xc_devices?seq_contains(tmpName)]
    [#assign startupFile = "startup_stm32f303xc.s"]
  [#elseif stm32f303xe_devices?seq_contains(tmpName)]
    [#assign startupFile = "startup_stm32f303xe.s"]
  [/#if]
[#elseif  tmpName?starts_with("STM32F318")]
  [#assign startupFile = "startup_stm32f318xx.s"]
[#elseif  tmpName?starts_with("STM32F328")]
  [#assign startupFile = "startup_stm32f328xx.s"]
[#elseif  tmpName?starts_with("STM32F334")]
  [#assign startupFile = "startup_stm32f334x8.s"]
[#elseif  tmpName?starts_with("STM32F358")]
  [#assign startupFile = "startup_stm32f358xx.s"]
[#elseif  tmpName?starts_with("STM32F373")]
  [#assign startupFile = "startup_stm32f373xc.s"]
[#elseif  tmpName?starts_with("STM32F378")]
  [#assign startupFile = "startup_stm32f378xx.s"]
[#elseif  tmpName?starts_with("STM32F398")]
  [#assign startupFile = "startup_stm32f398xx.s"]
[/#if]
[#assign ll_used = 0]
[#assign hal_used = 0]
[#list usedIPs as ip]
[#if peripheralParams.get(ip)?? && peripheralParams.get(ip).get("driver") == ("LL")]
  [#assign ll_used = 1]
[/#if]
[#if ip?starts_with("NVIC") == false]
[#if peripheralParams.get(ip)?? && peripheralParams.get(ip).get("driver") == ("HAL")]
  [#assign hal_used = 1]
[/#if]
[/#if]
[/#list]
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- ******************************************************************************
 * File Name   : FrameworkCubeMX.gpdsc
 * Date        : ${date}
 * Description : Generator PDSC File generated by STM32CubeMX (DO NOT EDIT!)
 ****************************************************************************** -->
<package xmlns:xs="http://www.w3.org/2001/XMLSchema-instance" schemaVersion="1.0" xs:noNamespaceSchemaLocation="PACK.xsd">
  <vendor>Keil</vendor>
  <name>FrameworkCubeMX</name>
  <description>STM32CubeMX generated pack description</description>
  <url>project-path</url>
  <releases>
    <release version="1.0.0">
     - Generated: ${date}
    </release>
  </releases>
  <generators>
    <generator id="STM32CubeMX" Gvendor="STMicroelectronics" Gtool="STM32CubeMX" Gversion="4.10.0">
      <description>STM32CubeMX Environment</description>
      <select Dname="${(dt.device)}" Dvendor="STMicroelectronics:13"/>
      <command>$SMDK\CubeMX\STM32CubeMXLauncher</command>
      <workingDir>$PRTE\Device\${(dt.device)}</workingDir>
      <project_files>
        <file category="include" name="STCubeGenerated/Inc/"/>
        <file category="source" name="STCubeGenerated/Src/main.c" />
        <file category="header" name="STCubeGenerated/Inc/${deviceFamily?lower_case}_it.h"/>
        <file category="source" name="STCubeGenerated/Src/${deviceFamily?lower_case}_it.c"/>
      </project_files>
    </generator>
  </generators>
  <taxonomy>
    <description Cclass="Device" Cgroup="STM32Cube Framework" generator="STM32CubeMX">STM32Cube Framework</description>
  </taxonomy>
  <conditions>
    <condition id="STCubeMX">
      <description>Condition to include CMSIS core, Device Startup and HAL Drivers components</description>
      <require Dvendor="STMicroelectronics:13" Dname="STM32F3*"/>
      <require Cclass="CMSIS"  Cgroup="CORE"/>
      <require Cclass="Device" Cgroup="Startup"/>
      <require Cclass="Device" Cgroup="STM32Cube HAL"/>
    </condition>
  </conditions>
  <components>
    <bundle Cbundle="STM32CubeMX" Cclass="Device" Cversion="1.0.0">
      <component generator="STM32CubeMX" Cvendor="Keil" Cgroup="STM32Cube Framework" Csub="STM32CubeMX" Cversion="1.0.0" condition="STCubeMX">
        <description>Configuration via STM32CubeMX</description>
        <RTE_Components_h>
[#if ll_used == 1]
          #define RTE_DEVICE_LL_DRIVERS_USED
[/#if]
          #define RTE_DEVICE_FRAMEWORK_CUBE_MX
        </RTE_Components_h>
        <files>
          <file category="header" name="MX_Device.h"/>
          <file category="header" name="STCubeGenerated/Inc/${deviceFamily?lower_case}_hal_conf.h"/>
[#if hal_used == 1]
          <file category="source" name="STCubeGenerated/Src/${deviceFamily?lower_case}_hal_msp.c"/>
[/#if]
        </files>
      </component>
      <component  Cgroup="Startup">
        <description>System Startup for STMicroelectronics</description>
        <files>
          <file category="source" name="STCubeGenerated/MDK-ARM/${startupFile}" />
          <file category="source" name="STCubeGenerated/Src/system_${deviceFamily?lower_case}.c" />
        </files>
      </component>
    </bundle>
  </components>
</package>
[/#list]
